package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFX38Data {

    private Map<String, Object> params;
    
    public MWFX38Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProductAproved() {
        return (String) params.get("RS_PRODUCT_APROVED");
    }

    public Long rsAppKey() {
        return (Long) params.get("RS_APP_KEY");
    }

    public java.util.Date rsApplicationDate() {
        return (java.util.Date) params.get("RS_APPLICATION_DATE");
    }

    public String rsApplicationState() {
        return (String) params.get("RS_APPLICATION_STATE");
    } 

}
